#include "config.h"
#ifndef lint
static char rcsid[] ATTR_UNUSED = "$Id: testggn.c,v 1.1.1.1 1999/09/22 05:07:21 short Exp $";
#endif

#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include "ggn.h"
#include "ggnintl.h"

char *state,*filter;

int main(int argc,char **argv)
{
struct ggnconnect *gc;
int i;

	INITLOCALE(argv[0]);
#ifdef DEBUG
	setlinebuf(stdout); setlinebuf(stderr);
#endif
#if 1
	if (argc>3||(argc==2&&(!strcmp(argv[1],"-h")||!strcmp(argv[1],"--help")))) {
		printf(_("Usage: %s [<state string>] [<filter>]\n"),argv[0]);
		exit(EXIT_FAILURE);
		}
	if (argc>=2) chk(state=strdup(argv[1]));
	if (argc>=3) chk(filter=argv[2]);
#endif

	gc=ggnbox(_("GGN testbed client"),&state,&argc,&argv,filter);
	switch (gc->r) {
		case GGNC_FAIL:
			printf(_("GGN box failed!\n"));
			break;
		case GGNC_OKAY:
			printf(_("GGN state for next session: \"%s\"\n"),state);
			printf(_("Connection has been setup: fd=%d, we are %d/%d.\n"),gc->fd,gc->cur,gc->tot);
			for (i=0;i<gc->tot;i++) printf(_(" - playername %d: %s\n"),i+1,gc->names[i]);
			break;
		case GGNC_QUIT:
			printf(_("User quit accepted.\n"));
			break;
		default:
			assert(0);
		}
	return(EXIT_SUCCESS);
}
