#ifndef GGN_H
#define GGN_H

/*
 * $Id: billggn.h,v 1.1.1.1 1999/09/22 05:07:21 short Exp $
 */

#include "config.h"

#include <glib.h>
#include <setjmp.h>

#ifdef HAVE_GGN_H
#include <ggn.h>
#endif

typedef struct {
	struct ggnconnect *gc;
	char *state;
	unsigned remaining;
	int randval;
	gint inputid;
	FILE *fout;
	char *gotplayers;
	struct {
		int size,len;
		char *data,*s;
		} buf;
	jmp_buf jmp;
	unsigned me:1;
} GGN;
extern GGN ggn;

#define ggn_active() (!!ggn.gc)
#define ggn_serving() (ggn_active()&&!ggn.me)

void ggn_menu PARAMS((void));
void ggn_disconn PARAMS((void));
void ggn_setup PARAMS((void));
void ggn_Gsrand PARAMS((unsigned seed));
int ggn_Grand PARAMS((void));
void ggn_netprintf PARAMS((const char *fmt,...)) ATTR_PRINTFORMAT(1,2);
void ggn_resetmove PARAMS((void));
void ggn_blocking PARAMS((char state));
int ggn_getint PARAMS((void));
void ggn_gotline PARAMS((void));
void ggn_fdreadf PARAMS((void));

#endif
