#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifndef lint
static char rcsid[] ATTR_UNUSED = "$Id: bucket.c,v 1.1.1.1 1999/09/22 05:07:21 short Exp $";
#endif

#include "bucket.h"
#include "mcursor.h"
#include "picture.h"
#include "game.h"
#include "ui.h"

Bucket bucket;

int bucket_clicked (int x, int y) {
	return (x > 0 && y > 0 && x < bucket.picture.width && y < bucket.picture.height);
}

void bucket_draw(void) {
	if (game.grabbed != game_BUCKET) ui_draw(&bucket.picture, 0, 0);
}

void bucket_load_pix(void) {
	PICTURE_LOAD(bucket.picture,bucket);
	MCURSOR_LOAD_OWN(bucket.cursor,bucket);
}
