#ifndef CABLE_H
#define CABLE_H

/*
 * $Id: cable.h,v 1.1.1.1 1999/09/22 05:07:21 short Exp $
 */

#include "config.h"

typedef struct {
	int c1, c2;		/*computers connected */
	int x1,y1,x2,y2;	/*endpoints of line representing cable */
	int x, y;		/*current location of spark*/
	float fx, fy;		/*needed for line drawing*/
	int delay;		/*how much time until spark leaves*/
	int active;		/*is spark moving and from which end*/
	int index;
} Cable;

void cable_setup PARAMS((Cable *C));
void cable_draw PARAMS((Cable *C));
void cable_update PARAMS((Cable *C));
int cable_onspark PARAMS((Cable *C,int locx, int locy));

#endif
