#ifndef COMPUTER_H
#define COMPUTER_H

/*
 * $Id: computer.h,v 1.1.1.1 1999/09/22 05:07:21 short Exp $
 */

#include "config.h"

typedef struct {	/*structure for Computers*/
	int type;		/*CPU type*/
	int os;			/*current OS*/
	int x, y;		/*location*/
	int busy;		/*is the computer being used?*/
#define computer_TOASTER 0	/* computer 0 is a toaster */
#define computer_PC 5	/* type>=PC means the computer is a PC*/
#define computer_OFFSET 4	/* offset of screen from 0,0 */
#define computer_BORDER 50	/* BORDER pixels free on all sides*/
} Computer;

int computer_setup PARAMS((Computer *C,int i));
void computer_draw PARAMS((Computer *C));
int computer_find_stray PARAMS((Computer *C));
int computer_oncomputer  PARAMS((Computer *C,int locx, int locy));
int computer_compatible PARAMS((Computer *C,int system));
int computer_determineOS PARAMS((Computer *C));

#endif
