#ifndef LIBRARY_H
#define LIBRARY_H

/*
 * $Id: library.h,v 1.1.1.1 1999/09/22 05:07:21 short Exp $
 */

#include "config.h"

#include "picture.h"
#include "mcursor.h"

typedef struct {			/* global structure of all OSes */

#define OS_WINGDOWS 0	/* OS 0 is wingdows */
#define OS_OFF -1	/* OS -1 means the computer is off */
#define OS_PC 5		/* OS >= PC means the OS is a PC OS */
#define OS_NUM_OS 9	/* The number of OSes (not Wingdows) */

	int width, height;		/* size of OS picture*/
	Picture os[OS_NUM_OS+1];	/* array of OS pictures*/
	MCursor cursor[OS_NUM_OS+1];	/* array of OS cursors (drag/drop) */
} Library;
extern Library OS;

void OS_load_pix PARAMS((void));

#endif
