#ifndef MCURSOR_H
#define MCURSOR_H

/*
 * $Id: mcursor.h,v 1.1.1.1 1999/09/22 05:07:21 short Exp $
 */

#include "config.h"

#include <stddef.h>
#include <gdk/gdk.h>

typedef struct {
	const unsigned char *data,*mask;
	GdkCursor *cursor;
	gint width,height;

#define MCURSOR_LOAD_OWN_(v,name) mcursor_load1(&(v),name##xbm_offset,                      name##xbm_width,name##xbm_height)
#define MCURSOR_LOAD_SEP_(v,name) mcursor_load2(&(v),name##xbm_offset,name##mask_xbm_offset,name##xbm_width,name##xbm_height)
#define MCURSOR_LOAD_OWN(v,name) MCURSOR_LOAD_OWN_((v),name##_)
#define MCURSOR_LOAD_SEP(v,name) MCURSOR_LOAD_SEP_((v),name##_)
} MCursor;

void mcursor_load1 PARAMS((MCursor *M,size_t offs,gint width,gint height));
void mcursor_load2 PARAMS((MCursor *M,size_t offs,size_t maskoffs,gint width,gint height));
void mcursor_set PARAMS((MCursor *M));
void mcursor_finish PARAMS((void));

#endif
