#ifndef PICTURE_H
#define PICTURE_H

/*
 * $Id: picture.h,v 1.1.1.1 1999/09/22 05:07:21 short Exp $
 */

#include "config.h"

#include <stddef.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include "data.h"

typedef struct {
	gint width, height;
	GdkPixmap *pixmap;
	GdkBitmap *mask;
	GdkGC *gc;
} Picture;

#define PICTURE_LOAD_(v,name) picture_load(&(v),name##xpm_offset,name##xpm_lines)
#define PICTURE_LOAD(v,name) PICTURE_LOAD_((v),name##_)

void picture_load PARAMS((Picture *P,size_t offs,unsigned lines));
GtkWidget *picture_gtk_pixmap PARAMS((Picture *P));

#endif
