dnl $Id$
dnl
dnl SGML_DOC_FORMAT(format-name)
dnl
dnl format-name   html/info/txt/...
dnl
dnl File copied from:
dnl   Robert Spalek <robert@ucw.cz> part of Partition Surprise

AC_DEFUN([SGML_DOC_FORMAT],
[
AC_ARG_WITH(doc-$1,	[  --with-doc-$1=[no/yes]	compile $1 documentation [default=no]],,with_doc_$1=no)

dnl Compile SGML doc to $1, if requested
if test "$with_doc_$1" != "no"
then
	AC_PATH_PROG(PATH_SGML2$1,sgml2$1,)
	if test "$PATH_SGML2$1" = ""
	then
		AC_MSG_ERROR([sgml2$1 program not found, please install package sgml-tools.])
	fi
fi

])
