#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#ifndef lint
static char rcsid[] ATTR_UNUSED = "$Id: library.c,v 1.1.1.1 1999/09/22 05:07:21 short Exp $";
#endif

#include "library.h"
#include "picture.h"
#include "mcursor.h"

Library OS;

void OS_load_pix() {
#define IDXLOAD(name,n) do { PICTURE_LOAD_(OS.os[n],name##_); MCURSOR_LOAD_OWN_(OS.cursor[n],name##_); } while (0)

PICTURE_LOAD(OS.os[0],wingdows);
IDXLOAD(apple ,1);
IDXLOAD(next  ,2);
IDXLOAD(sgi   ,3);
IDXLOAD(sun   ,4);
IDXLOAD(os2   ,5);
IDXLOAD(bsd   ,6);
IDXLOAD(linux ,7);
IDXLOAD(redhat,8);
IDXLOAD(hurd  ,9);

#undef IDXLOAD
	OS.width =OS.os[0].width ;
	OS.height=OS.os[0].height;
}
